/tickets/{id}
Returns a Ticket object with the given id.
Authentication
Token-based authentication with required prefix “Bearer”
Path parameters
Headers
Query parameters
Whether to include the original data Merge fetched from the third-party to produce these models.
Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
Deprecated. Use show_enum_origins.
A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more
Response
The third-party API ID of the matching object.
The individual Users who are assigned to this ticket. This does not include Users who just have view access to this ticket. To fetch all Users and Teams that can access the ticket, use the GET /tickets/{ticket_id}/viewers endpoint.
The Teams that are assigned to this ticket. This does not include Teams who just have view access to this ticket. To fetch all Users and Teams that can access this ticket, use the GET /tickets/{ticket_id}/viewers endpoint.
The current status of the ticket. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass show_enum_origins=status to receive the integration’s own value instead.
The ticket’s description. HTML version of description is mapped if supported by the third-party platform.
The Collections that this Ticket is included in.
The sub category of the ticket within the 3rd party system. Examples include incident, task, subtask or to-do. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass show_enum_origins=ticket_type to receive the integration’s own value instead.
The priority or urgency of the Ticket. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass show_enum_origins=priority to receive the integration’s own value instead.
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.